com.sun.grid.jgdi.util.shell

## Class ShellFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - com.sun.grid.jgdi.util.shell.ShellFormatter

-     public class ShellFormatter
      extends java.util.logging.Formatter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShellFormatter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `format(java.util.logging.LogRecord record)`

    - ### Methods inherited from class java.util.logging.Formatter

      `formatMessage, getHead, getTail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShellFormatter

          public ShellFormatter()

  - ### Method Detail

    - #### format

          public java.lang.String format(java.util.logging.LogRecord record)

      Specified by:
        `format` in class `java.util.logging.Formatter`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.